replyToBidThread
Requires permission biddesk:bid:read.
Replies in a bid thread. Only the bid's members can use its room. Requires Bid Desk and permission to read bids.
Errors: a failed call returns a GraphQL errors entry, not a field on the result, and data may be null or partial. Read the entry's extensions.code and message; every shape and code is in the Error reference.
Example:
- GraphQL
- cURL
mutation ReplyToBidThread($input: ReplyToBidThreadInput!) {
replyToBidThread(input: $input) {
id
senderName
createdAt
content
deleted
parentId
}
}
curl -X POST "https://<api-host>/graphql" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--data @- <<'EOF'
{
"query": "mutation ReplyToBidThread($input: ReplyToBidThreadInput!) {\n replyToBidThread(input: $input) {\n id\n senderName\n createdAt\n content\n deleted\n parentId\n }\n}",
"variables": {
"input": {
"content": "string",
"threadId": "id"
}
}
}
EOF
Variables:
{
"input": {
"content": "string",
"threadId": "id"
}
}
Response:
{
"data": {
"replyToBidThread": {
"id": "id",
"senderName": "string",
"createdAt": "2025-01-15T00:00:00Z",
"content": "string",
"deleted": true,
"parentId": "id"
}
}
}
replyToBidThread(
input: ReplyToBidThreadInput!
): BidMessage!
Arguments
replyToBidThread.input ● ReplyToBidThreadInput! non-null input
The thread and the reply.
Type
BidMessage object
One message in a bid's room.